API ReferenceAuthentication
Login user
POST
/v1/auth/loginRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/auth/login" \ -H "Content-Type: application/json" \ -d '{ "email": "admin@example.com", "password": "password" }'{ "success": true, "statusCode": 200, "message": "Request processed successfully", "timestamp": "2025-10-20T16:30:00.000Z", "path": "/v1/auth/register", "data": { "message": "OTP has been sent to your email", "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...", "refreshToken": "4eC39HqLyjWDarjtT1zdp7dc...", "tokenType": "Bearer", "expiresIn": 3600, "user": {}, "suspensionNotice": { "suspended": true, "message": "string" } }}{ "success": false, "statusCode": 400, "message": "Validation failed", "errors": [ { "field": "email", "message": "Email must be a valid email address" } ], "timestamp": "2025-10-20T16:30:00.000Z", "path": "/v1/auth/register"}